Issue 121153 - rotated bitmap with transparency is not shown in presentation mode
rotated bitmap with transparency is not shown in presentation mode
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: viewing
4.0.0-dev
PC Windows XP
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 18:52 UTC by Regina Henschel
Modified: 2013-07-12 16:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Example showing the described behaviour (14.49 KB, application/vnd.oasis.opendocument.presentation)
2012-10-04 09:46 UTC, Armin Le Grand
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2012-10-03 18:52:47 UTC
1. Start with a new presentation.
2. Draw a rectangle and on it a star and group them. (Other drawings will do as well.)
3. Copy group and insert it, drag the copy to a free place.
4. Right click copy and convert it to bitmap. Look in the status bar, you get a "Bitmap with transparency".
5. Duplicate the slide.
6. Mark group and bitmap together and rotate them for example with 30 degrees.
7. Go into presentation mode.

Error: The group is shown, but the bitmap is not shown.

When you set a background to the bitmap, and then go into presentation mode, you will see the background.

I have got a build with revision 1367911. There the display is OK.
I have got a build with revision 1369843. There the display shows the described error. Later builds from trunk show the error too.

Sometimes the error is also reproducible, if you omit duplicating the slide and rotate the bitmap directly. But it seems to me, the error is easier to reproduce, when duplicating the slide.
I have seen the error too with single objects, for example the 'cloud' shape.
Comment 1 Armin Le Grand 2012-10-04 09:46:20 UTC
Created attachment 79728 [details]
Example showing the described behaviour

ALG: Can reproduce. I created a file (only one slide), saved and reloaded, it still happens, even with app restart. Adding that file as bugdoc.
Comment 2 Armin Le Grand 2012-10-05 11:26:49 UTC
ALG: Found. In RenderBitmapPrimitive2D_self (drawinglayer/source/processor2d/vclhelperbitmaprenderer.cxx) the bitmap gets adapted to the added rotation by using transformations. This is done for a metafile target, thus the target has no size in pixels. That case was not covered; the max resolution limiter limited to the given dest pixel size of (0,0), thus creating an empty target bitmap.
Good catch! Committed with revision 1394447.
Comment 3 binguo 2012-11-16 05:59:18 UTC
Verified on Aoo_Trunk_20121109.1800 Rev.1407366
pass
Comment 4 binguo 2012-11-16 05:59:40 UTC
close it